org.apache.tapestry5.internal.mongodb

## Class MongoDBImpl

- java.lang.Object
- - org.apache.tapestry5.internal.mongodb.MongoDBImpl

- All Implemented Interfaces:
    EventListener, ThreadCleanupListener, MongoDB

      public class MongoDBImpl
      extends Object
      implements MongoDB, ThreadCleanupListener

  Default implementation for `MongoDB`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoDBImpl(org.slf4j.Logger logger, MongoDBSource mongoDBSource, String defaultDbName, boolean consistentRequest, boolean secureMode, String dbUsername, String dbPassword)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.mongodb.DB` | `getDefaultMongoDb()` Obtain a shared instance of the MongoDB database connection object connected to the default database
    `com.mongodb.DB` | `getMongoDb(String dbname)` Obtain a shared instance of the MongoDB database connection object for the specific database
    `void` | `threadDidCleanup()` Invoked by `PerthreadManager` service when a thread performs and end-of-request cleanup.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MongoDBImpl

          public MongoDBImpl(org.slf4j.Logger logger,
                             MongoDBSource mongoDBSource,
                             String defaultDbName,
                             boolean consistentRequest,
                             boolean secureMode,
                             String dbUsername,
                             String dbPassword)

  - ### Method Detail

    - #### getDefaultMongoDb

          public com.mongodb.DB getDefaultMongoDb()

      Description copied from interface: `MongoDB`
      Obtain a shared instance of the MongoDB database connection object connected to the default database
      Specified by:
        `getDefaultMongoDb` in interface `MongoDB`
      Returns:
        the `DB` connection object

    - #### getMongoDb

          public com.mongodb.DB getMongoDb(String dbname)

      Description copied from interface: `MongoDB`
      Obtain a shared instance of the MongoDB database connection object for the specific database
      Specified by:
        `getMongoDb` in interface `MongoDB`
      Parameters:
        `dbname` - the database name to connect to
      Returns:
        the `DB` connection object

    - #### threadDidCleanup

          public void threadDidCleanup()

      Description copied from interface: `ThreadCleanupListener`
      Invoked by `PerthreadManager` service when a thread performs and end-of-request cleanup.
      Specified by:
        `threadDidCleanup` in interface `ThreadCleanupListener`

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.